import request from '@/utils/request'

// 查询支部年度工作计划列表
export function listPlan(query) {
  return request({
    url: '/branch/plan/list',
    method: 'get',
    params: query
  })
}

// 查询支部年度工作计划详细
export function getPlan(planId) {
  return request({
    url: '/branch/plan/' + planId,
    method: 'get'
  })
}

// 新增支部年度工作计划
export function addPlan(data) {
  return request({
    url: '/branch/plan',
    method: 'post',
    data: data
  })
}

// 修改支部年度工作计划
export function updatePlan(data) {
  return request({
    url: '/branch/plan',
    method: 'put',
    data: data
  })
}

// 删除支部年度工作计划
export function delPlan(planId) {
  return request({
    url: '/branch/plan/' + planId,
    method: 'delete'
  })
}
